Bug 1488466 - [RFE] Improve taskcleaner & unlock_entity execution
Summary: [RFE] Improve taskcleaner & unlock_entity execution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Tools.Extensions
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
low
high vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Miroslava Voglova
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 12:53 UTC by Yaniv Kaul
Modified: 2017-12-20 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The taskcleaner and unlock_entity execution scripts have both had options for user, database, port and server names removed (-u, -d, -p, -s). Also there is no more need to export PGPASSWORD. All values are now obtained from the Manager configuration files.
Clone Of:
Environment:
Last Closed: 2017-12-20 11:46:55 UTC
oVirt Team: Infra
mperina: ovirt-4.2?
grafuls: testing_plan_complete-
rule-engine: planning_ack?
mperina: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 82511 0 master MERGED dbutils: improved execution of taskcleaner 2017-10-13 14:21:28 UTC
oVirt gerrit 82800 0 ovirt-engine-4.1 MERGED packaging: bin: Source engine-prolog.sh directly 2017-10-16 11:28:59 UTC

Description Yaniv Kaul 2017-09-05 12:53:15 UTC
Description of problem:
This is the current way to execute the task cleaner:
# source /etc/ovirt-engine/engine.conf.d/10-setup-database.conf
# export PGPASSWORD=$ENGINE_DB_PASSWORD
# cd /usr/share/ovirt-engine/setup/dbutils
# ./taskcleaner.sh -A -J -z -R -u engine -d engine


I'm sure the task cleaner could easily get the password from /etc/ovirt-engine/engine.conf.d/10-setup-database.conf and save at least 2 lines of copy-paste, which may cause errors.

Comment 2 Gonza 2017-11-22 08:06:12 UTC
Verified with:
ovirt-engine-4.2.0-0.0.master.20171119135709.git6d448d3.el7.centos.noarch

Comment 3 Red Hat Bugzilla Rules Engine 2017-11-22 08:06:17 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 4 Sandro Bonazzola 2017-12-20 11:46:55 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.